Move
curl --request POST \
--url https://api.sortx.co.uk/keys/sets/{id}/movements \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"holderStaffId": "<string>",
"holderContactId": "<string>",
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"dueBackOn": "<string>",
"note": "<string>",
"correctsMovementId": "<string>",
"expectedSequence": 123,
"requestId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
holderStaffId: '<string>',
holderContactId: '<string>',
purpose: '<string>',
purposeSubject: {kind: '<string>', id: '<string>'},
dueBackOn: '<string>',
note: '<string>',
correctsMovementId: '<string>',
expectedSequence: 123,
requestId: '<string>'
})
};
fetch('https://api.sortx.co.uk/keys/sets/{id}/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/keys/sets/{id}/movements"
payload = {
"holderStaffId": "<string>",
"holderContactId": "<string>",
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"dueBackOn": "<string>",
"note": "<string>",
"correctsMovementId": "<string>",
"expectedSequence": 123,
"requestId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>",
"status": "<string>",
"sequence": 123,
"currentMovementId": "<string>",
"holder": {
"type": "<string>",
"staffId": "<string>",
"contactId": "<string>",
"name": "<string>"
},
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"tenancyId": "<string>",
"dueBackOn": "<string>",
"overdue": true,
"lastMovedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}keys
Move
Record a check-out, transfer, return, loss, recovery or correction. Movements are never edited.
POST
/
keys
/
sets
/
{id}
/
movements
Move
curl --request POST \
--url https://api.sortx.co.uk/keys/sets/{id}/movements \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"holderStaffId": "<string>",
"holderContactId": "<string>",
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"dueBackOn": "<string>",
"note": "<string>",
"correctsMovementId": "<string>",
"expectedSequence": 123,
"requestId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
holderStaffId: '<string>',
holderContactId: '<string>',
purpose: '<string>',
purposeSubject: {kind: '<string>', id: '<string>'},
dueBackOn: '<string>',
note: '<string>',
correctsMovementId: '<string>',
expectedSequence: 123,
requestId: '<string>'
})
};
fetch('https://api.sortx.co.uk/keys/sets/{id}/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/keys/sets/{id}/movements"
payload = {
"holderStaffId": "<string>",
"holderContactId": "<string>",
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"dueBackOn": "<string>",
"note": "<string>",
"correctsMovementId": "<string>",
"expectedSequence": 123,
"requestId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>",
"status": "<string>",
"sequence": 123,
"currentMovementId": "<string>",
"holder": {
"type": "<string>",
"staffId": "<string>",
"contactId": "<string>",
"name": "<string>"
},
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"tenancyId": "<string>",
"dueBackOn": "<string>",
"overdue": true,
"lastMovedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Available options:
check_out, transfer, return, report_lost, found, correct Available options:
office, staff, contractor, tenant, landlord, other Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes